CodeLobster IDE

Free cross-platform PHP IDE (HTML, PHP, CSS, JavaScript code editor) with support Drupal, Joomla, Twig, JQuery, BackboneJS, LaravelJS, Node.js, Fhalcon, CodeIgniter, CakePHP, Laravel, Magento, MeteorJS, Phalcon, Symfony, VueJS, WordPress, Yii
It is currently Sun Nov 28, 2021 2:40 am

All times are UTC




Post new topic Reply to topic  [ 4 posts ] 
Author Message
 Post subject: Need PHP 8
PostPosted: Sat Jan 16, 2021 2:40 pm 
I need tu use PHP 8 in a new project.
Can this be done in CodeLobsterIDE? It is very important to me (and urgent).
Thanks a lot !


Report this post
Top
  
Reply with quote  
 Post subject: Re: Need PHP 8
PostPosted: Mon Jan 18, 2021 7:00 am 
Offline
Site Admin

Joined: Wed Sep 12, 2007 2:18 pm
Posts: 3742
Hi.

What functions are not shown for You?
Codelobster uses last version on PHP online help.

Thanks,
Codelobster Team.


Report this post
Top
 Profile  
Reply with quote  
 Post subject: Re: Need PHP 8
PostPosted: Mon Jan 18, 2021 9:49 am 
[code]
public function foo(Foo|Bar $input): int|float;

public function foo(Foo|null $foo): void;

public function bar(?Bar $bar): void;

$dateAsString = $booking->getStartDate()?->asDateTimeString();

class CustomerData
{
public function __construct(
public string $name,
public string $email,
public int $age,
) {}
}

$data = new CustomerData(
name: $input['name'],use App\Attributes\ExampleAttribute;

#[ExampleAttribute]
class Foo
{
#[ExampleAttribute]
public const FOO = 'foo';

#[ExampleAttribute]
public $x;

#[ExampleAttribute]
public function foo(#[ExampleAttribute] $bar) { }
}
email: $input['email'],
age: $input['age'],
);

$result = match($input) {
0 => "hello",
'1', '2', '3' => "world",
};

class Money
{
public function __construct(
public Currency $currency,
public int $amount,
) {}
}

class Foo
{
public function test(): static
{
return new static();
}
}

$triggerError = fn () => throw new MyError();

$foo = $bar['offset'] ?? throw new OffsetDoesNotExist('offset');

class Foo
{
private WeakMap $cache;

public function getSomethingWithCaching(object $obj): object
{
return $this->cache[$obj]
??= $this->computeSomethingExpensive($obj);
}
}

$foo = new Foo();

var_dump($foo::class);

try {
// Something goes wrong
} catch (MySpecialException) {
Log::error("Something went wrong");
}

DateTime::createFromInterface(DateTimeInterface $other);

DateTimeImmutable::createFromInterface(DateTimeInterface $other);


[/code]

AND SO ON.

IT IS ABOUT PHP 8 (eight), not 7.

YOU have to develop new internal parser for this version (PHP 8) that will support all php features 1:1, YOU have to update CodeInsight, docs, php standard definitions, debugger, refresh all the libraries depend on.


Report this post
Top
  
Reply with quote  
 Post subject: Re: Need PHP 8
PostPosted: Fri Jan 29, 2021 10:48 pm 
Offline
Site Admin

Joined: Wed Sep 12, 2007 2:18 pm
Posts: 3742
Hi.

Do You mean Error Window?

Yes, it doesn't process PHP 8 syntax yet.
We are going to update it soon surely.

Thanks,
Codelobster Team.


Last bumped by Anonymous on Fri Jan 29, 2021 10:48 pm.


Report this post
Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 4 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 17 guests


You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2016 phpBB Group